---
title: ASP.NET Core MVC with EF Core - tutorial series
author: rick-anderson
description: 
ms.author: riande
ms.date: 03/27/2017
uid: data/ef-mvc/index
---
# ASP.NET Core MVC with EF Core - tutorial series

::: moniker range=">= aspnetcore-3.0"

This tutorial has **not** been updated to ASP.NET Core 3.0. The [Razor Pages version](xref:data/ef-rp/intro) has been updated. For information on when this might be updated, see [this GitHub issue](https://github.com/aspnet/AspNetCore.Docs/issues/13920).

::: moniker-end

[!INCLUDE [RP better than MVC](../../includes/RP-EF/rp-over-mvc.md)]

1. [Get started](xref:data/ef-mvc/intro)
1. [Create, Read, Update, and Delete operations](xref:data/ef-mvc/crud)
1. [Sorting, filtering, paging, and grouping](xref:data/ef-mvc/sort-filter-page)
1. [Migrations](xref:data/ef-mvc/migrations)
1. [Create a complex data model](xref:data/ef-mvc/complex-data-model)
1. [Reading related data](xref:data/ef-mvc/read-related-data)
1. [Updating related data](xref:data/ef-mvc/update-related-data)
1. [Handle concurrency conflicts](xref:data/ef-mvc/concurrency)
1. [Inheritance](xref:data/ef-mvc/inheritance)
1. [Advanced topics](xref:data/ef-mvc/advanced)
