---
title: "Tutorial: Create a Razor Pages web app with ASP.NET Core"
author: rick-anderson
description: Create a Razor Pages web app on Windows with Visual Studio, ASP.NET Core, and EF Core.
ms.author: riande
ms.date: 08/09/2019
uid: tutorials/razor-pages/index
---
# Tutorial: Create a Razor Pages web app with ASP.NET Core

This series of tutorials explains the basics of building a Razor Pages web app. 

[!INCLUDE[](~/includes/advancedRP.md)]

This series includes the following tutorials:

1. [Create a Razor Pages web app](xref:tutorials/razor-pages/razor-pages-start)
1. [Add a model to a Razor Pages app](xref:tutorials/razor-pages/model)
1. [Scaffold (generate) Razor pages](xref:tutorials/razor-pages/page)
1. [Work with a database](xref:tutorials/razor-pages/sql)
1. [Update Razor pages](xref:tutorials/razor-pages/da1)
1. [Add search](xref:tutorials/razor-pages/search)
1. [Add a new field](xref:tutorials/razor-pages/new-field)
1. [Add validation](xref:tutorials/razor-pages/validation)

At the end, you'll have an app that can display and manage a database of movies.

![Sample page of sample app](index/_static/sample-page.png)
